Generate a prequalified offer

Generate a prequalified offer for merchant without previous or live funding.

This endpoint returns indicative offers for a merchant in real time. This endpoint can therefore be used either:

  1. As a scheduled bulk job to generate indicative financing offers for all of a partner's merchants, which is then used in marketing
  2. Requested on demand either by a merchant or by a broker/ adviser "click here to request a prequalified offer"

Request body example

{
        "companyType": "Ltd",
        "countryISOCode": "GBR",
        "loanCurrencyISOCode": "GBP",
        "thirdPartyMerchantId": "abc123",
        "financialData": {
            "paymentData": [
                {
                    "paymentDate": "2024-03-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-04-01T10:55:09.307Z",
                    "amount": 12000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-05-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-06-01T10:55:09.307Z",
                    "amount": 12000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-07-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-08-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-09-01T10:55:09.307Z",
                    "amount": 12000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-10-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-11-01T10:55:09.307Z",
                    "amount": 12000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2024-12-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2025-01-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2025-02-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                },
                {
                    "paymentDate": "2025-03-01T10:55:09.307Z",
                    "amount": 100000,
                    "currencyISOCode": "GBP"
                }                
            ]
        }
    }

Parameter callouts

ParameterDescription
companyTypeShould match one of the company types seen here . You can learn about which company types are associated with what country in our localisation guides, see the United Kingdom guide as an example
paymentDateUTC format
amountThis is always returned in dollars/ pounds/ euros. For example, £100 should be sent as 100. This represents the turnover for the payment data.

Response body example

{
    "thirdPartyMerchantId": "abc123",
    "mid": null,
    "companyName": null,
    "overallCreditRiskScore": 3.8157894736842105263157894737,
    "overrideCreditRiskScore": 0.0,
    "loanOptions": [
        {
            "currencyISOCode": "GBP",
            "fee": 5808.0,
            "fundedAmount": 17600.0,
            "loanAmount": 23408.0,
            "sweep": 20.0
        },
        {
            "currencyISOCode": "GBP",
            "fee": 6440.0,
            "fundedAmount": 18400.0,
            "loanAmount": 24840.0,
            "sweep": 20.0
        },
        {
            "currencyISOCode": "GBP",
            "fee": 7030.0,
            "fundedAmount": 19000.0,
            "loanAmount": 26030.0,
            "sweep": 20.0
        }
    ]
}

Parameter callouts

ParameterDescription
fundedAmountThis value is rounded based on the following logic:
  • 0–10,000 → step 10
  • 10,000–100,000 → step 100
  • 100,000 or higher → step 1000
overrideCreditRiskScoreThis value can be ignored, it is deprecated.


Body Params

A YL.Web.Api.ThirdParty.PreQualification.Models.PreQualificationModel

Third party prequalification model for receiving offers

string
enum
required
financialData
object
required

Financial model for receiving offers

string
enum
required
string
enum
required
Allowed:
string | null

Gets or sets the third party's id for a merchant.

string | null

Gets or sets the merchant ID

string | null

Gets or sets the company name

string | null

Gets or sets the company number

string | null

Gets or sets the company website

string | null

Gets or sets a contact email address for the merchant

string | null

Gets or sets the SIC code

string | null

Gets or sets the MCC code

int32
≥ 0

Gets or sets the number of months the merchant has been trading for

significantPersons
array of objects | null

Gets or sets the significant persons of the company (directors)

significantPersons
Headers
string
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json